Unbind
Services

List Service Endpoints

List the internal and external endpoints exposed by a service.

GET
/services/endpoints/list

List the internal and external endpoints exposed by a service.

Authorization

bearerAuth
AuthorizationBearer <token>

Access token or API key (unb_...) passed as Authorization: Bearer <token>.

In: header

Query Parameters

team_id*string
project_id*string
environment_id*string
service_id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/services/endpoints/list?team_id=string&project_id=string&environment_id=string&service_id=string"
{  "data": {    "external": [      {        "cloudflare_missing_certificate": true,        "dns_status": "unknown",        "environment_id": "40ef0e48-a11f-4963-a229-e396c9f7e7c4",        "host": "string",        "is_cloudflare": true,        "is_ingress": true,        "kubernetes_name": "string",        "path": "string",        "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",        "service_id": "641e839f-864e-4cce-98f9-40f6cbb3e9e0",        "target_port": {          "is_nodeport": true,          "node_port": 0,          "port": 0,          "protocol": "TCP"        },        "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba",        "tls_issuer_messages": [          {            "condition": "Ready",            "message": "string",            "reason": "string"          }        ],        "tls_status": "pending"      }    ],    "internal": [      {        "dns": "string",        "environment_id": "40ef0e48-a11f-4963-a229-e396c9f7e7c4",        "kubernetes_name": "string",        "ports": [          {            "is_nodeport": true,            "node_port": 0,            "port": 0,            "protocol": "TCP"          }        ],        "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",        "service_id": "641e839f-864e-4cce-98f9-40f6cbb3e9e0",        "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba"      }    ]  }}